Skip to main content
GET
/
api
/
public
/
v2
/
skill-collections
/
{skill_collection_id}
/
external-ids
List Skill Collection External IDs
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/skill-collections/{skill_collection_id}/external-ids \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.promptlayer.com/api/public/v2/skill-collections/{skill_collection_id}/external-ids"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.promptlayer.com/api/public/v2/skill-collections/{skill_collection_id}/external-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "external_ids": [
    {
      "source": "<string>",
      "external_id": "<string>"
    }
  ]
}
{
"message": "<string>",
"success": false
}
{
"message": "<string>",
"success": false
}
{
"message": "<string>",
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
List all external ID mappings attached to a skill collection.

Authorizations

X-API-KEY
string
header
required

Path Parameters

skill_collection_id
string
required

Response

External IDs for the entity

success
boolean
default:true
required
external_ids
ExternalId · object[]
required